Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
environments
curl --request POST \ --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/environments \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "development-env", "displayName": "An environment for testing new features", "description": "An optional description", "defaultAgentId": "0a9f9866-24e6-43ab-8f3c-71089f407241", "defaultUserAccessLevel": "admin", "defaultConnections": { "DWH": { "redshift": "my-dwh-connection" } }, "connectionOverrides": [ { "connectionName": "my-dwh-connection", "connectionProperties": { "url": { "value": "redshift-cluster-abc.abcdefghi99z.eu-west-1.redshift.amazonaws.com" }, "username": { "value": "rs-username" }, "port": { "value": "5439" }, "defaultDatabase": { "value": "testing" }, "useSsl": { "value": "true" }, "defaultSchema": { "value": "public" }, "defaultStorageLocation": { "value": "my-s3-bucket" }, "password": { "secretName": "redshift-secret-name", "secretKey": "key-for-password" } } } ] } '
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

Body

application/json
connectionOverrides
object[]
required

Connection overrides for the environment

Required array length: 1 element
defaultAgentId
string
required

The UUID of the default agent for this environment

defaultConnections
object
required

The default connections for the new environment

defaultUserAccessLevel
string
required

The default role project users will have on the environment

Examples:

"default"

"admin"

"runner"

"readOnly"

"noAccess"

name
string
required

The name of the new environment

Minimum string length: 1
Example:

"Environment-1"

description
string

The description of the new environment

Maximum string length: 1000
Example:

"My new Environment"

displayName
any

The display name of the new environment

Example:

"Environment 1"

Response

Environment configuration remains unchanged since last update